/*
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2005-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 * IBM Rational Test RealTime System Testing for C
 * Exchange sample messaging API code
 */

/* Add the required include files here */
#include __MSGTYPE__ allow to insert all includes from interface list. required to know the size of the message type.
#include "__BASENAME__.h"

/* Replace the following lines with the required variables */
int message_posted=0;
char atl_api_msg_buffer[sizeof(__MSGTYPE__)];




int atl_api_get_message (comm_handle_type  *id, void *message,int maxlen, int timeout)
{
/* Replace the following lines with the code to receive the message over the connection */
 int i;
 int errorCode=0;
 char *p=(char *)message;
 char *from=atl_api_msg_buffer;
 if(message_posted) for (i=maxlen;i;i--) *p++=*from++;
 else return(api_no_message);
 message_posted=0;



 return (errorCode);
}



int atl_api_send_message (comm_handle_type *id, const void *message, int len)
{
/* Replace the following lines with the code to send the message over the connection */
 int i;
 int errorCode=0;
 char *p=(char *)message;
 char *to=atl_api_msg_buffer;
 for (i=len;i;i--) *to++=*p++;
 message_posted=1;



 return (errorCode);
}



int atl_api_init(comm_handle_type *id, char *to)
{
/* Replace the following lines with the code to initialize the connection */
 int errorCode=0;


 return (errorCode);
}


int atl_api_end(comm_handle_type *id)
{
/* Replace the following lines with the code to close the connection */
 int errorCode=0;


 return (errorCode);
}











